Modify

Opened 9 years ago

Closed 9 years ago

Last modified 5 years ago

#9101 closed defect (fixed)

Cannot update plugins with non-ASCII User-Agent

Reported by: Zverikk Owned by: team
Priority: normal Milestone: 13.11
Component: Core Version: latest
Keywords: Cc:

Description (last modified by Zverikk)

User-Agent: JOSM/1.5 (6244 ru) Linux RFRemix 19 (Schrödinger's Cat) Java/1.7.0_60 causes trac to fail with error 500, because of non-ascii characters. All users of Fedora Linux 19 are affected.

old description:

I updated josm to the latest version, 6244, but openstreetbugs and building_tools plugins are at versions 29435 and 29771, no matter how many times I press "download" and "update" buttons. This has caused issues #9096 and #9097. What else can I try?

Attachments (0)

Change History (18)

comment:1 Changed 9 years ago by Don-vip

Owner: changed from team to Zverikk
Status: newneedinfo

Works for me. Can you please give us:

  • your full status report
  • screenshot of your plugins preferences page showing at least these two plugins
  • console output when you update plugins

Thanks

comment:2 Changed 9 years ago by skyper

  • Do the plugins work with an empty JOSM preference directory (-Djosm.home=) and latest ?
  • What plugin version numbers are shown in preferences ?

Did you install a package called josm-plugins and/or do you have a shared josm plugin directory (/usr/share/josm/plugins) ? See #7483.

comment:3 Changed 9 years ago by Zverikk

  • Full status report below
  • I doubt screenshot is needed (and it's hard and in Russian), entry for openstreetbugs shows version 29435 (installed 29435); building_tools version 29771 (installed 29771).
  • There is an exception while updating plugins:
    java.io.IOException: Server returned HTTP response code: 500 for URL: http://josm.openstreetmap.de/plugin?plugins=OpeningHoursEditor,PicLayer,buildings_tools,editgpx,geochat,imagery_offset_db,notes,openstreetbugs,pbf,poly,reltoolbox,reverter,utilsplugin2
            at sun.net.www.protocol.http.HttpURLConnection.getInputStream(HttpURLConnection.java:1626)
            at org.openstreetmap.josm.plugins.ReadRemotePluginInformationTask.downloadPluginList(ReadRemotePluginInformationTask.java:167)
            at org.openstreetmap.josm.plugins.ReadRemotePluginInformationTask.realRun(ReadRemotePluginInformationTask.java:348)
            at org.openstreetmap.josm.gui.PleaseWaitRunnable.doRealRun(PleaseWaitRunnable.java:82)
            at org.openstreetmap.josm.gui.PleaseWaitRunnable.run(PleaseWaitRunnable.java:150)
            at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471)
            at java.util.concurrent.FutureTask.run(FutureTask.java:262)
            at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)
            at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
            at java.lang.Thread.run(Thread.java:724)
    java.io.IOException: Server returned HTTP response code: 500 for URL: http://josm.openstreetmap.de/plugin?plugins=OpeningHoursEditor,PicLayer,buildings_tools,editgpx,geochat,imagery_offset_db,notes,openstreetbugs,pbf,poly,reltoolbox,reverter,utilsplugin2
            at sun.net.www.protocol.http.HttpURLConnection.getInputStream(HttpURLConnection.java:1626)
            at org.openstreetmap.josm.plugins.ReadRemotePluginInformationTask.downloadPluginList(ReadRemotePluginInformationTask.java:167)
            at org.openstreetmap.josm.plugins.ReadRemotePluginInformationTask.realRun(ReadRemotePluginInformationTask.java:348)
            at org.openstreetmap.josm.gui.PleaseWaitRunnable.doRealRun(PleaseWaitRunnable.java:82)
            at org.openstreetmap.josm.gui.PleaseWaitRunnable.run(PleaseWaitRunnable.java:150)
            at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471)
            at java.util.concurrent.FutureTask.run(FutureTask.java:262)
            at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)
            at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
            at java.lang.Thread.run(Thread.java:724)
    Downloading redirected to 'https://s3.amazonaws.com/github-cloud/releases/11394163/2a66d9d2-f3db-11e2-9197-4f808371b20e.jar?response-content-disposition=attachment%3B%20filename%3Dnotes.jar&AWSAccessKeyId=AKIAISTNZFOVBIJMK3TQ&Expires=1380005676&Signature=Al7jkuHwSVV2hAKbwdo4gFF7J8I%3D'
    
  • With empty preferences directory there are no exceptions, latest versions of plugins are correct.
  • I run josm from downloaded josm-latest.jar, I have never installed any packages. There is no /usr/share/josm directory.

Full status report:

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2013-09-22 01:35:25
Last Changed Author: Don-vip
Revision: 6244
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2013-09-21 13:19:50 +0200 (Sat, 21 Sep 2013)
Last Changed Rev: 6244

Identification: JOSM/1.5 (6244 ru) Linux RFRemix 19 (Schrödinger’s Cat)
Memory Usage: 105 MB / 592 MB (71 MB allocated, but free)
Java version: 1.7.0_60, Oracle Corporation, OpenJDK 64-Bit Server VM
VM arguments: [-Dawt.useSystemAAFontSettings=lcd]

Plugin: OpeningHoursEditor (29778)
Plugin: PicLayer (29601)
Plugin: buildings_tools (29771)
Plugin: editgpx (29596)
Plugin: geochat (29851)
Plugin: imagery_offset_db (29467)
Plugin: notes (33d2af7)
Plugin: openstreetbugs (29435)
Plugin: pbf (29708)
Plugin: poly (29711)
Plugin: reltoolbox (29535)
Plugin: reverter (29771)
Plugin: utilsplugin2 (29771)

cache.bing.attribution.xml=1379874834
cache.capabilities-131030235=1379873381
cache.motd.html=1380004646
cache.motd.html.java=1.7.0_60
cache.motd.html.lang=Ru:
cache.motd.html.version=6244
color.layer 20120106.gpx=#00FFFF
color.layer 20120430.gpx=#FF0033
color.layer 20120623.gpx=#00FFFF
color.layer 20121021.gpx=#00FFFF
color.layer 20130216.gpx=#33FFFF
color.layer 20130217.gpx=#00FFFF
color.layer Downloaded GPX Data=#00FFFF
color.layer May6-1.gpx=#000000
color.layer May6-2.gpx=#000000
color.layer May7.gpx=#000000
color.layer Скачанные GPX данные=#00FFFF
commandstack.minimized=true
coordinates=DECIMAL_DEGREES
dialog.dynamic.buttons=false
download.places.history=[Thailand, абакан]
downloadprimitive.referrers=false
draw.data.area_outline_only=true
draw.data.downloaded_area=false
draw.dialogspanel=false
draw.rawgps.colors=1
expert=true
file-open.history=[/home/zverik/progr/git/metro/data/spb/spbmetro.osm, /home/zverik/progr/git/metro/data/spb/spbmetro2.osm, /home/zverik/progr/git/metro/data/spb/entrances.osm, /home/zverik/progr/git/metro/data/spb/spb-stations.osm, /run/media/zverik/F9B9-FF2F/20130831.gpx, /run/media/zverik/F9B9-FF2F/20130825.gpx, /run/media/zverik/F9B9-FF2F/20130824.gpx, /run/media/zverik/F9B9-FF2F/20130814.gpx, /run/media/zverik/F9B9-FF2F/20130813.gpx, /run/media/zverik/F9B9-FF2F/20130812.gpx, /run/media/zverik/F9B9-FF2F/20130811.gpx, /run/media/zverik/F9B9-FF2F/20130809.gpx, /run/media/zverik/F9B9-FF2F/20130807.gpx, /run/media/zverik/F9B9-FF2F/20130806.gpx, /run/media/zverik/F9B9-FF2F/20130727.gpx]
filter.minimized=true
filter.visible=true
filters.entries=[{version=1, text=highway=residential | highway:tertiary | highway:secondary | highway:primary | highway:trunk | highway=unclassified, mode=add, enable=false, hiding=true, inverted=true}, {version=1, text=lit:, mode=add, enable=false, hiding=false, inverted=false}, {version=1, text=(landuse|place=*|natural|leisure), mode=add, enable=false, hiding=true, inverted=false}, {version=1, text=highway | building, mode=add, enable=false, hiding=false, inverted=true}, {version=1, text=highway -name, mode=add, enable=false, hiding=false, inverted=true}, {version=1, text=building=yes, mode=add, enable=false, hiding=false, inverted=true}, {version=1, text=building=* levels, mode=add, enable=false, hiding=false, inverted=false}, {version=1, text=building=* cladding, mode=add, enable=false, hiding=false, inverted=false}, {version=1, text=highway | public_transport, mode=add, enable=false, hiding=true, inverted=true}]
geochat.lastid=95
geochat.lastuid=611080437
geochat.minimized=true
geochat.username=Zverik
geoimage.bounds=279,275,644,403
geoimage.delta=40000
geoimage.docked=false
geoimage.geometry=x=351,y=153,width=395,height=353
geoimage.lastdirectory=/home/zverik/photo
geoimage.timezone=+0:00
geoimage.timezoneid=Europe/Dublin
geoimage.visible=true
gpx.traces.maxtime=1371915597000
gpx.traces.mintime=1236876869000
gui.geometry=x=0,y=24,width=1165,height=776
gui.maximized=true
gui.showalignimagery=false
history.minimized=true
history.visible=true
imagery.entries=[<skipped>]
imagery.layers.default=[http://www.bing.com/maps/, http://{switch:a,b,c}.tiles.mapbox.com/v3/openstreetmap.map-4wvf9l0l/{zoom}/{x}/{y}.png, http://oatile{switch:1,2,3,4}.mqcdn.com/tiles/1.0.0/sat/{zoom}/{x}/{y}.png, http://tile.openstreetmap.org/{zoom}/{x}/{y}.png, http://{switch:a,b,c}.www.toolserver.org/tiles/bw-mapnik/{zoom}/{x}/{y}.png]
imagery.offsetnagging=false
imagery.offsets=[[EPSG:3857, Снимки Bing, Abakan, 0.0, 8.0, 91.44444465000001, 53.71509816266711], [EPSG:3857, Снимки Bing, Abakan east, -13.0, -1.0, 91.52261605722654, 53.71803935159759], [EPSG:3857, кадастр, abakan, 0.0, 18.3, 91.51319504999996, 53.715250526100185], [EPSG:3857, Снимки Bing, sortavala, 12.0, -2.5, 30.69499860808922, 61.70545297968155], [EPSG:3857, ScanEx IRS, volochok, -21.48, 46.56, 34.56179564438622, 57.589280822514105], [EPSG:3857, Снимки Bing, nladoga, -5.0, 0.0, 32.29768205060627, 60.09244114656508], [EPSG:3857, Снимки Bing, spb north, 0.5, -5.0, 30.326127999999997, 60.06719609044544], [EPSG:3857, Снимки Bing, sovetsky, -33.0, -9.0, 28.672204702962905, 60.5388174095638], [EPSG:3857, Снимки Bing, pechory, -18.0, 0.0, 27.61073971153691, 57.812673745139314], [EPSG:3857, Снимки Bing, mooste, -3.0, -7.0, 27.197819513679068, 58.16084326751136], [EPSG:3857, Снимки Bing, pskov-pereezd, -32.84, 0.0, 28.345652204737572, 57.79731461416562], [EPSG:3857, Снимки Bing, slobozha, 2.38, 8.08, 35.24361325057306, 50.10413207849872], [EPSG:3857, Снимки Bing, slobozha-z18, -1.08, 7.54, 35.24303595332518, 50.105660312562335], [EPSG:3857, Снимки Bing, slobozhan111, 4.86, 9.7, 35.24249558490365, 50.10594035415238], [EPSG:3857, Снимки Bing, Печоры, центр, -1.59, 3.55, 27.606140803538977, 57.81596720816073], [EPSG:3857, Снимки Bing, Садовые участки далеко к востоку от Краснокамска, перед развязкой, 9.19, -4.8, 55.82475931985297, 58.06037742086629], [EPSG:3857, Снимки Bing, Дно, 2.45, 2.71, 29.96389031591143, 57.823456583862544]]
iodb.calibration.message=true
iodb.modify.toolbar=false
iodb.offset.message=true
iodb.show.calibration=false
iodb.stored.offsets=[scanex_irs:57.84341324443854:28.02067620630551:-54.54:30.67, bing:58.851632608852825:29.916200650000004:-7.001995970495045:-1.0117669515311718]
language=ru
lastAddAuthor=false
lastDirectory=/home/zverik/progr/git/metro/data/spb
mappaint.renderer-class-name=org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer
mappaint.style.entries=[{title=Встроенный стиль JOSM, active=true, ptoken=standard, url=resource://styles/standard/elemstyles.xml}, {title=Potlatch 2, active=false, ptoken=standard, url=resource://styles/standard/potlatch2.mapcss}]
mappaint.style.known-defaults=[resource://styles/standard/elemstyles.xml, resource://styles/standard/potlatch2.mapcss]
mappaint.style.sources-list=[[resource://styles/standard/elemstyles.xml, standard, Встроенный стиль JOSM, true], [resource://styles/standard/potlatch2.mapcss, standard, Potlatch 2, false]]
marker.audiofromstart=false
markers.lastaudiodirectory=/home/zverik/photo/110604 ladoga1/ladoga-wav
message.delete_from_relation.value=1
message.movedManyElements.value=1
message.upload_comment_is_empty_or_very_short=false
message.upload_comment_is_empty_or_very_short.value=3
mirror.http://josm.openstreetmap.de/maps=[1379873385245, /home/zverik/.josm/cache/mirror_http___josm.openstreetmap.de_maps]
mirror.http://planet.openstreetmap.org/users_agreed/users_agreed.txt=[1347820142551, /home/zverik/.josm/cache/mirror_http___planet.openstreetmap.org_users_agreed_users_agreed.txt]
mirror.http://planet.openstreetmap.org/users_agreed/users_disagreed.txt=[1347820142732, /home/zverik/.josm/cache/mirror_http___planet.openstreetmap.org_users_agreed_users_disagreed.txt]
mirrored_download.MirroredDownloadAction$MirroredDownloadDialog.geometry=x=139,y=108,width=1000,height=600
nomoremapping.date=1348618385
nomoremapping.hash=3041116157
notes.api.disabled=false
notes.auto_download=true
notes.comment.history=[sdfsdfs]
notes.new.history=[test]
oauth.settings.consumer-key=AdCRxTpvnbmfV8aPqrTLyA
oauth.settings.consumer-secret=XmYOiGY9hApytcBC3xCec3e28QBqOWz5g6DSb5UpE
ohe.clocksystem=TWENTYFOUR_HOURS
org.openstreetmap.josm.actions.DownloadPrimitiveAction.primitivesHistory=[204648,  2361579, 38336336]
org.openstreetmap.josm.actions.OpenLocationAction.uploadAddressHistory=[http://overpass-api.de/api/xapi_meta?*[calibration=*], http://overpass-api.de/api/xapi_meta?*[calibration%3D*]]
org.openstreetmap.josm.gui.actionsupport.DeleteFromRelationConfirmationDialog.geometry=x=439,y=308,width=400,height=200
org.openstreetmap.josm.gui.conflict.tags.CombinePrimitiveResolverDialog.geometry=x=339,y=208,width=600,height=400
org.openstreetmap.josm.gui.dialogs.ConflictResolutionDialog.geometry=x=129,y=97,width=851,height=585
org.openstreetmap.josm.gui.dialogs.InspectPrimitiveDialog.geometry=x=264,y=133,width=750,height=550
org.openstreetmap.josm.gui.dialogs.properties.TagEditHelper$AddTagsDialog.geometry=x=485,y=315,width=340,height=363
org.openstreetmap.josm.gui.dialogs.properties.TagEditHelper$EditTagDialog.geometry=x=265,y=333,width=340,height=188
org.openstreetmap.josm.gui.dialogs.relation.GenericRelationEditor.geometry=x=289,y=83,width=700,height=650
org.openstreetmap.josm.gui.download.DownloadDialog.geometry=x=139,y=108,width=1000,height=600
org.openstreetmap.josm.gui.download.DownloadObjectDialog.primitivesHistory=[2068512336, 211206872]
org.openstreetmap.josm.gui.io.UploadDialog.geometry=x=368,y=114,width=400,height=600
org.openstreetmap.josm.gui.layer.GpxLayer$ChooseTrackVisibilityAction.geometry=x=280,y=152,width=1000,height=500
org.openstreetmap.josm.gui.layer.gpx.ChooseTrackVisibilityAction.geometry=x=280,y=210,width=1000,height=500
org.openstreetmap.josm.gui.oauth.OAuthAuthorizationWizard.geometry=x=414,y=138,width=450,height=540
org.openstreetmap.josm.gui.preferences.PreferenceDialog.geometry=x=289,y=19,width=700,height=779
osb.api.disabled=false
osb.api.offline=false
osb.auto_download=true
osb.comment.history=[ок, спасибо, , ok, подписал, но маловероятно, что отобразится на карте, будем считать, что Поелвая, спасибо, добавил, спасибо. В этом доме есть банки, но не знаю, с какого конца, добавил, уже поставлено, спасибо, то есть, он в доме 85, ближе к ул. ленина, (курортного района), то есть, 29]
osb.include_date=true
osb.new.history=[ГОУ ДЮСШ № 1, это тоже школа №379, Дом детского творчества Центрального района «Преображенский», Ботаническая, дом 8, филиал торгово-экономического лицея № 148, хоть слово школа напишите, гимназия им. Александра II (школа 415, общежитие ГОУ «Медико-технический колледж», Ботаническая ул., дом 6, ул. Шахматова, дом 10/1, филиал торгово-экономического лицея 148, Центр детского технического творчества «Город мастеров», администрация муниципального образования город Ломоносов, общежитие Бегуницкого техникума, молодежно-подростковый клуб «Павловчанин», Клубная площадь д1]
osb.nickname=Zverik
osb.uri.close=http://openstreetbugs.schokokeks.org/api/0.1/closePOIexec
osb.uri.download=http://openstreetbugs.schokokeks.org/api/0.1/getBugs
osb.uri.edit=http://openstreetbugs.schokokeks.org/api/0.1/editPOIexec
osb.uri.new=http://openstreetbugs.schokokeks.org/api/0.1/addPOIexec
osm-download.bounds=59.9272002;30.3467503;59.9281565;30.3489056
osm-primitives.localize-name=false
osm-server.auth-method=oauth
osm-server.upload-strategy=singlerequest
piclayer.lastdir=/home/zverik/downloads
plugin.mirrored_download.query-history=[]
pluginmanager.lastupdate=1379874218577
pluginmanager.version=6244
plugins=[OpeningHoursEditor, PicLayer, buildings_tools, editgpx, geochat, imagery_offset_db, notes, openstreetbugs, pbf, poly, reltoolbox, reverter, utilsplugin2]
progressdialog.size=411
proxy.policy=no-proxy
relation.editor.generic.lastrole=platform
reltoolbox.createrelation.lasttype=restriction
reltoolbox.minimized=true
search.history=[R node -child type:way, R type:node untagged -child, R type:node -child untagged, R type:node -child -entrance, R type:node -child type:way -entrance, R node -child type:way -entrance, R node -child -entrance, R entra, R Петро, R station ref, R station -ref, R propos, R constru, R subway_en, R inside selected]
selectionlist.minimized=true
shortcut.groups.18=512
shortcut.groups.configured=true
sidetoolbar.hidden.mapmode/building=false
sidetoolbar.hidden.mapmode/delete=true
sidetoolbar.hidden.mapmode/extrude/extrude=true
sidetoolbar.hidden.mapmode/move/move=true
sidetoolbar.hidden.mapmode/node/autonode=true
sidetoolbar.hidden.mapmode/zoom=true
sidetoolbar.hidden.org.openstreetmap.josm.plugins.piclayer.actions.transform.affine.MovePointAction=false
sourcetag.value=IRS
taggingpreset.entries=[{title=Встроенная заготовка, url=resource://data/defaultpresets.xml}]
taggingpreset.sources-list=[[resource://data/defaultpresets.xml, Встроенная заготовка]]
toggleDialogs.width=349
toolbar=[open, save, download, upload, |, undo, redo, |, dialogs/search(searchExpression=), preference, |, splitway, combineway, wayflip, |, imagery-offset, |, tagging_Annotation/Addresses, opening_hours.png, getoffset]
upload.comment.history=[подвинул Толмачёво и Жельцы к новой привязке снимка, hotel, old bridge, немного дорог близ Пыталово, грунтовка в Себеже, которая была нарисована немного неправильно, немного дорог по Bing/IRS в Видовичах, немного дорог по трекам в Видовичах, немного дорог по трекам в Глотах, Жельцы, северо-запад Толмачёво, немного порисовал, some pois and footways, результаты обкатки города после картовстречи: кусок 7 (частный сектор), результаты обкатки города после картовстречи: куски 4 и 5, и разные мелочи, кто-то стёр дорогу]
upload.comment.last-used=1378066876
utilsplugin2.urlHistory=[Wikipedia, http://en.wikipedia.org/w/index.php?search={name}&fulltext=Search, Wikipedia RU, http://osm.mapki.com/history/{#type}.php?id={#id}, LatLon buildings, http://latlon.org/buildings?zoom=17&lat={#lat}&lon={#lon}&layers=B, AMDMi3 Russian streets, http://addresses.amdmi3.ru/?zoom=11&lat={#lat}&lon={#lon}&layers=B00, Mapki - More  History with CT, http://osm.mapki.com/history/{#type}.php?id={#id}, Element history [demo, =Ctrl-Shift-H], http://www.openstreetmap.org/browse/{#type}/{#id}/history, Browse element [demo, =Ctrl-Shift-I], http://www.openstreetmap.org/browse/{#type}/{#id}]
validator.tests=Coastlines=true,MultipolygonTest=true,SimilarNamedWays=true,UntaggedNode=true,RelationChecker=true,DeprecatedTags=true,DuplicateRelation=true,CrossingWays=true,NodesWithSameName=true,TagChecker=true,BuildingInBuilding=true,WayConnectedToArea=true,OverlappingWays=true,UnclosedWays=true,OverlappingAreas=true,WronglyOrderedWays=true,UnconnectedWays=true,SelfIntersectingWay=true,DuplicatedWayNodes=true,NameMismatch=true,DuplicateWay=true,UntaggedWay=true,TurnrestrictionTest=true,DuplicateNode=true
validator.testsBeforeUpload=Coastlines=true,MultipolygonTest=true,SimilarNamedWays=true,UntaggedNode=true,RelationChecker=true,DeprecatedTags=true,DuplicateRelation=true,CrossingWays=true,NodesWithSameName=true,TagChecker=true,BuildingInBuilding=true,WayConnectedToArea=true,OverlappingWays=true,UnclosedWays=true,OverlappingAreas=true,WronglyOrderedWays=true,UnconnectedWays=true,SelfIntersectingWay=true,DuplicatedWayNodes=true,NameMismatch=true,DuplicateWay=true,UntaggedWay=true,TurnrestrictionTest=true,DuplicateNode=true

comment:4 Changed 9 years ago by stoecker

java.io.IOException: Server returned HTTP response code: 500 for URL: http://josm.openstreetmap.de/plugin?plugins=OpeningHoursEditor,PicLayer,buildings_tools,editgpx,geochat,imagery_offset_db,notes,openstreetbugs,pbf,poly,reltoolbox,reverter,utilsplugin2

This is the reason. When JOSM can't download the list of plugins, it also does not know that it needs an update. I checked the server and there is not "500" status code for any access today or yesterday. Thus somewhere on your side it has trouble to download.

I don't see any reason. Try disabling all plugins and check if download succeeds in this case (I doubt it, but maybe there is a influence). Or you have a local firewall?

I fear there is nothing we can do except you find the reason on your side and it is a josm bug.

Report your findings please.

comment:5 Changed 9 years ago by Don-vip

See also #8862 to give an UI error message in that case. I agree this is misleading with just console output.

comment:6 Changed 9 years ago by Zverikk

So, I've learned tcpdump. This is the error trac gives:

How to Reproduce

While doing a GET operation on /plugin, Trac issued an internal error.

(please provide additional details here)

Request parameters:

{'plugins': u'OpeningHoursEditor,PicLayer,buildings_tools,editgpx,geochat,imagery_offset_db,notes,openstreetbugs,pbf,poly,reltoolbox,reverter,utilsplugin2'}

User agent: #USER_AGENT#

System Information

System information not available

Enabled Plugins

Plugin information not available

Python Traceback

Traceback (most recent call last):
  File "/usr/local/lib/python2.7/dist-packages/Trac-1.0.1-py2.7.egg/trac/web/main.py", line 497, in _dispatch_request
    dispatcher.dispatch(req)
  File "/usr/local/lib/python2.7/dist-packages/Trac-1.0.1-py2.7.egg/trac/web/main.py", line 214, in dispatch
    resp = chosen_handler.process_request(req)
  File "/home/josm/trac/plugins/JOSM.py", line 122, in process_request
    self.env.log.warn(u"IP: %s AGENT: %s PLUGINS: %s" %(req.remote_addr, useragent, pl[8:]))
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 41: ordinal not in range(128)

Sadly, hexdump -C|grep c3 doesn't output any lines. And there is low possibility it's because of Linux version name, because updating plugins works with empty preferences.

No, wait. I've started josm with empty preferences, then added all those plugins I have installed in my regular setup, and this error has come up. Now I'm going to remove plugins one by one.

java.io.IOException: Server returned HTTP response code: 500 for URL: http://josm.openstreetmap.de/plugin?plugins=notes

Actually, no:

java.io.IOException: Server returned HTTP response code: 500 for URL: http://josm.openstreetmap.de/plugin?plugins=geochat

Let's try again from scratch.

OK, added a single plugin, and the error has reappeared. I'm pretty sure this is because of my Linux' title, "Schrödinger's Cat". This error might have come up earlier, but I didn't notice it, because I've updated my system pretty recently. Here is the request:

GET /plugin?plugins=OpeningHoursEditor,PicLayer,buildings_tools,editgpx,geochat,imagery_offset_db,notes,openstreetbugs,pbf,poly,reltoolbox,reverter,utilsplugin2 HTTP/1.1
User-Agent: JOSM/1.5 (6244 ru) Linux RFRemix 19 (Schr..dinger...s Cat) Java/1.7.0_60
Cache-Control: no-cache
Accept-Charset: utf-8
Pragma: no-cache
Host: josm.openstreetmap.de
Accept: text/html, image/gif, image/jpeg, *; q=.2, */*; q=.2
Connection: keep-alive

What can we do with this?

comment:7 Changed 9 years ago by Zverikk

Yep, here's the 'C3':

5363 6872 c3b6 6469 6e67 6572 e280 9973  Schr..dinger...s

(those letters were screened with tcpdump -A, but -X showed original bytes).

comment:8 Changed 9 years ago by Don-vip

Owner: changed from Zverikk to team
Status: needinfonew

Ok thanks !
Here is the Trac plugin code we need to fix:

    def process_request(self, req):
        pl = req.query_string
        if(pl.startswith("plugins=")):
            try:
                useragent = req.get_header("User-Agent")
            except StandardError, e:
                useragent = ""

            self.env.log.warn(u"IP: %s AGENT: %s PLUGINS: %s" %(req.remote_addr, useragent, pl[8:])) # encoding error here
        data = open("/home/josm/auto/plugins.txt","r").read()
        req.send_header('Content-Type', 'text/plain;charset=utf-8')
        req.send_header('Content-Length', len(data))
        req.end_headers()
        req.write(data)

comment:9 Changed 9 years ago by Don-vip

In 6257/josm:

fix #8862, see #9101 - UI message when plugin list/icons download fail

comment:10 Changed 9 years ago by Don-vip

Summary: JOSM 6244 refuses to update pluginsCannot update plugins with non-ASCII User-Agent

comment:11 Changed 9 years ago by Zverikk

Description: modified (diff)

comment:12 Changed 9 years ago by stoecker

Can you please retry. Does it work now?

comment:13 in reply to:  12 Changed 9 years ago by Don-vip

Resolution: fixed
Status: newclosed

Replying to stoecker:

Does it work now?

It does, even if it's not very sexy on our side:

<ip> - - [25/Sep/2013:17:34:49 +0200] "GET /plugin?plugins=alignways,buildings_tools HTTP/1.1" 200 311013 0s "-" "JOSM/1.5 (6238 de) Linux Fedora 19 (Schr\xc3\xb6dinger\xe2\x80\x99s Cat) Java/1.7.0_40"
<ip> - - [25/Sep/2013:17:34:50 +0200] "GET /plugin-icons.zip HTTP/1.1" 200 233519 0s "-" "JOSM/1.5 (6238 de) Linux Fedora 19 (Schr\xc3\xb6dinger\xe2\x80\x99s Cat) Java/1.7.0_40"

comment:14 Changed 9 years ago by Don-vip

However, we have another script to fix. Our stats do not include this release of Fedora, although being actively used today:

josmstats | grep "O " | grep Fedora
O          4 ( 0.0%) Linux Fedora
O          1 ( 0.0%) Linux Fedora 17 (Beefy Miracle)
O          6 ( 0.1%) Linux Fedora 18 (Spherical Cow)
O          7 ( 0.1%) Linux Fedora release 15 (Lovelock)
O         14 ( 0.2%) Linux Fedora release 17 (Beefy Miracle)
O          6 ( 0.1%) Linux Fedora release 18 (Spherical Cow)
O          2 ( 0.0%) Linux Fedora release 20 (Heisenbug)

comment:15 Changed 9 years ago by Zverikk

Confirmed, I've successfully updated plugin list and updated all plugins. Thanks!

Last edited 9 years ago by Zverikk (previous) (diff)

comment:16 Changed 9 years ago by stoecker

@Don-vip:

  • The Apache log does always encode additional signs. Nothing changed for that.
  • My last fix had a bug - Now it should work as expected and also appear in the list from now on.

I want that for all software UTF-8 is default and other encodings need to be specified. It gets really time for this. *dream*

comment:17 Changed 9 years ago by Don-vip

Milestone: 13.11 (6383)

comment:18 Changed 5 years ago by stoecker

Milestone: 13.11 (6383)13.11

Milestone renamed

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.